[Overview][Constants][Types][Index] | Reference for unit 'unixtype' (#rtl)

# pthread_mutexattr_t

Mutex attributes type (opaque).

## Declaration

Source position: ptypes.inc line 219

`type pthread_mutexattr_t = record`
`__mutexkind: cint;` |  | ?
`end;`

## Description

pthread_mutexattr_t describes the attributes of a thread mutex. It should be considered an opaque record, the names of the fields can change anytime.

Documentation generated on: Feb 26 2014